Skip to content

Subscription

All operations require authentication.

6 operationsv1/vps/{serviceName}
Agent setup

List models this VPS can be upgraded toProduction

GET
/1.0/vps/{serviceName}/availableUpgrade

Returns the models the VPS can be upgraded to, with their disk, memory, vCore and options.

Path parameters

serviceName
required
string

Service name

Response

200Model[]successful operation
availableOptions
VpsOptionEnum[]
—
ValuesadditionalDiskautomatedBackupcpanelftpbackupplesksnapshotveeamwindows
datacenter
string[]
—
disk
integer
—
diskLocationType
read-only
LocationTypeEnum

Possible location type a disk can have

Valuesdistantlocal
maximumAdditionnalIp
integer
—
memory
integer
—
name
string
—
offer
string
—
vcore
integer
—
version
VpsVersionEnum

All versions that VPS can have

Values2013v12014v12015v12017v12017v22017v32018v12018v22019v12025v1

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/availableUpgrade \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "availableOptions": [ "additionalDisk" ], "datacenter": [ "string" ], "disk": 0, "diskLocationType": "distant", "maximumAdditionnalIp": 0, "memory": 0, "name": "string", "offer": "string", "vcore": 0, "version": "2013v1" }]

Retrieve the service information for this VPSProduction

GET
/1.0/vps/{serviceName}/serviceInfos

Returns the billing information of the VPS: creation and expiration dates, contacts and renewal settings.

Path parameters

serviceName
required
string

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Initiate a contact change procedure for this VPS serviceProduction

POST
/1.0/vps/{serviceName}/changeContact

Starts a contact change procedure for the admin, billing or tech contact of the VPS and returns the IDs of the change tasks.

Path parameters

serviceName
required
string

Service name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Request termination of this VPS serviceProduction

POST
/1.0/vps/{serviceName}/terminate

Starts the termination of the VPS and sends a confirmation token by email to the admin contact.

Path parameters

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Confirm the termination of this VPS serviceProduction

POST
/1.0/vps/{serviceName}/confirmTermination

Confirms the termination of the VPS with the token sent by email to the admin contact.

Path parameters

serviceName
required
string

Service name

Request body (required)

commentary
string

Commentary about your termination request

commentaryFutureUse
string

Commentary about your future use

commentaryReason
string

Commentary about your reason for termination request

futureUse
TerminationFutureUseEnum

All future uses you can provide for a service termination

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

All reasons you can provide for a service termination

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Update the service information for this VPSProduction

PUT
/1.0/vps/{serviceName}/serviceInfos

Updates the renewal settings of the VPS.

Path parameters

serviceName
required
string

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"